# PetscViewerASCIIMonitorCreate

Opens an ASCII file as a monitor object, suitable for the default KSP, SNES and TS monitors

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscViewerASCIIMonitorCreate(MPI_Comm comm,const char *filename,PetscInt tabs,PetscViewerASCIIMonitor* ctx)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| name | - the file name
| tabs | - how far in the text should be tabbed

### Output Parameter

lab -the context to be used with KSP/SNES/TSMonitorSet()

### Notes

This can be destroyed with PetscViewerASCIIMonitorDestroy().

See PetscViewerASCIIOpen()

### See Also

KSPMonitorSet(), SNESMonitorSet(), TSMonitorSet(), KSPMonitorDefault(), PetscViewerASCIIMonitor, PetscViewerASCIIMonitorDestroy()

Level:advanced
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages